Conversations
Get Conversation
Returns the requested conversation.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
conversation_id*string
Unique identifier of the related conversation.
Format
uuidQuery Parameters
include?array<"contact" | "assignee">
Additional fields to include in the response. Use repeated query syntax: include=foo&include=bar.
Response Body
application/json
curl -X GET "https://api.getmateo.com/v1/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "external_id": "string", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459", "channel_type": "email", "inbox_id": "5127f22b-d152-46dd-aeaa-3a852d9fbfc2", "status": "archived", "subject": "string", "unread": true, "is_spam": true, "latest_activity_created_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "contact": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "display_name": "string", "full_name": "string", "salutation": "string", "birthday": "2019-08-24T14:15:22Z", "description": "string", "external_id": "string", "secondary_external_id": "string", "address_line1": "string", "address_line2": "string", "city": "string", "zipcode": "string", "country": "string", "is_blocked": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "assignee": { "type": "employee", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }}